Bug 232347 - (CVE-2007-1218) CVE-2007-1218 tcpdump denial of service
CVE-2007-1218 tcpdump denial of service
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tcpdump (Show other bugs)
5.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
impact=low,source=full-disclosure,rep...
: Security
Depends On:
Blocks: 232519 232520
  Show dependency treegraph
 
Reported: 2007-03-14 17:10 EDT by Josh Bressers
Modified: 2010-10-22 09:42 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0368
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 10:33:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2007-03-14 17:10:56 EDT
A potential denial of service flaw due to a single byte overflow was found in
the way tcpdump processes 802.11 packets:
http://seclists.org/fulldisclosure/2007/Mar/0003.html

The upstream patch is here:
http://cvs.tcpdump.org/cgi-bin/cvsweb/tcpdump/print-802_11.c?r1=1.42&r2=1.43

From inspecting our packages it seems that the initial, incorrect test isn't
even present, which still leaves our packages vulnerable to this flaw.
Comment 1 Josh Bressers 2007-03-14 17:12:03 EDT
This flaw also affects RHEL 3 and RHEL4.  The code in question is not present in
RHEL 2.1
Comment 10 errata-xmlrpc 2007-11-07 10:33:27 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0368.html

Note You need to log in before you can comment on or make changes to this bug.